initial buildroot for linux 5.15

This commit is contained in:
Huan.Feng
2021-12-06 14:12:13 +08:00
parent d7767d594e
commit 7b6fc358fa
12736 changed files with 508822 additions and 0 deletions
+41
View File
@@ -0,0 +1,41 @@
config BR2_PACKAGE_TCF_AGENT
bool "tcf-agent"
depends on BR2_TOOLCHAIN_HAS_THREADS
depends on BR2_PACKAGE_TCF_AGENT_ARCH_SUPPORTS
depends on BR2_USE_MMU # util-linux
select BR2_PACKAGE_UTIL_LINUX
select BR2_PACKAGE_UTIL_LINUX_LIBUUID
help
Target Communication Framework Agent is an example
application using the Target Communication Framework
Library.
Target Communication Framework is universal, extensible,
simple, lightweight, vendor agnostic framework for tools and
targets to communicate for purpose of debugging, profiling,
code patching and other device software development needs.
tcf-agent is a daemon, which provides TCF services that can
be used by local and remote clients.
https://wiki.eclipse.org/TCF
config BR2_PACKAGE_TCF_AGENT_ARCH
string
default "arm" if BR2_arm || BR2_armeb
default "a64" if BR2_aarch64 || BR2_aarch64_be
default "i686" if BR2_i386 && BR2_ARCH="i686"
default "i386" if BR2_i386 && !BR2_ARCH="i686"
default "x86_64" if BR2_x86_64
default "powerpc" if BR2_powerpc || BR2_powerpcle
default "ppc64" if BR2_powerpc64 || BR2_powerpc64le
default "microblaze" if BR2_microblaze || BR2_microblazeel
config BR2_PACKAGE_TCF_AGENT_ARCH_SUPPORTS
bool
default y if BR2_PACKAGE_TCF_AGENT_ARCH != ""
comment "tcf-agent needs a toolchain w/ threads"
depends on BR2_PACKAGE_TCF_AGENT_ARCH_SUPPORTS
depends on BR2_USE_MMU
depends on !BR2_TOOLCHAIN_HAS_THREADS
+40
View File
@@ -0,0 +1,40 @@
#!/bin/sh
DAEMON_PATH=/usr/sbin/tcf-agent
DAEMON_NAME=tcf-agent
DAEMON_ARGS="-L- -l0"
PIDFILE=/var/run/$DAEMON_NAME.pid
[ -r /etc/default/$DAEMON_NAME ] && . /etc/default/$DAEMON_NAME
start() {
printf "Starting $DAEMON_NAME: "
start-stop-daemon -S -o -q -p $PIDFILE -m -b \
-x $DAEMON_PATH -- $DAEMON_ARGS
[ $? = 0 ] && echo "OK" || echo "FAIL"
}
stop() {
printf "Stopping $DAEMON_NAME: "
start-stop-daemon -K -o -q -p $PIDFILE \
-x $DAEMON_PATH
[ $? = 0 ] && echo "OK" || echo "FAIL"
}
case "$1" in
start)
start
;;
stop)
stop
;;
restart|reload)
stop
start
;;
*)
echo "Usage: $0 {start|stop|restart}"
exit 1
esac
+5
View File
@@ -0,0 +1,5 @@
# Locally computed:
sha256 2f8c7be8a0bf7c86c72fd5680bc19a9e8f98792d40c94a0fee30ceb6428b8f33 org.eclipse.tcf.agent-1.7.0.tar.gz
# Hash for license files:
sha256 f82d01b74a513bd3504d08136026a5ac2a7e6ff62ebcde391fa74aa222d11ce0 agent/edl-v10.html
+34
View File
@@ -0,0 +1,34 @@
################################################################################
#
# tcf-agent
#
################################################################################
TCF_AGENT_VERSION = 1.7.0
# the tar.xz link was broken the time this file got authored
TCF_AGENT_SOURCE = org.eclipse.tcf.agent-$(TCF_AGENT_VERSION).tar.gz
TCF_AGENT_SITE = http://git.eclipse.org/c/tcf/org.eclipse.tcf.agent.git/snapshot
# see https://wiki.spdx.org/view/Legal_Team/License_List/Licenses_Under_Consideration
TCF_AGENT_LICENSE = BSD-3-Clause
TCF_AGENT_LICENSE_FILES = agent/edl-v10.html
TCF_AGENT_DEPENDENCIES = util-linux
TCF_AGENT_SUBDIR = agent
# there is not much purpose for the shared lib,
# if wont be used (unmodifed) outside the tcf-agent application
TCF_AGENT_CONF_OPTS = \
-DBUILD_SHARED_LIBS=OFF \
-DTCF_MACHINE=$(call qstrip,$(BR2_PACKAGE_TCF_AGENT_ARCH))
define TCF_AGENT_INSTALL_INIT_SYSTEMD
$(INSTALL) -D -m 644 package/tcf-agent/tcf-agent.service \
$(TARGET_DIR)/usr/lib/systemd/system/tcf-agent.service
endef
define TCF_AGENT_INSTALL_INIT_SYSV
$(INSTALL) -D -m 755 package/tcf-agent/S55tcf-agent \
$(TARGET_DIR)/etc/init.d/S55tcf-agent
endef
$(eval $(cmake-package))
+9
View File
@@ -0,0 +1,9 @@
[Unit]
Description=Target Communication Framework Agent
After=network.target
[Service]
ExecStart=/usr/sbin/tcf-agent -L- -l0
[Install]
WantedBy=multi-user.target